## gr-fosphor 3.7.0.1.e1eb11b

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

list_cond_append(ENABLE_GLFW fosphor_grc fosphor_glfw_sink_c.xml)
list_cond_append(ENABLE_QT   fosphor_grc fosphor_qt_sink_c.xml)
list_cond_append(ENABLE_WX   fosphor_grc fosphor_wx_sink_c.xml)

install(FILES
    ${fosphor_grc}
    DESTINATION share/gnuradio/grc/blocks
)
