=== debian/changelog ===
gr-fosphor (3.7.0.1.e1eb11b-1) unstable; urgency=medium

  * New upstream git
    gr-fosphor: Use FindOpenCL from cmake git master
    fosphor/cl: Allow one to use APIs deprecated in CL >= 1.2
  * narrow boost depends to system and thread
  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Feb 2016 18:35:21 -0500

gr-fosphor (3.7.0.0.4ae2f53-1) unstable; urgency=medium

  * New upstream, initial upload to Debian (Closes: #782420)
  * build with gnuradio 3.7.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Nov 2015 21:03:12 -0500

gr-fosphor (0grcon13-1) unstable; urgency=low

  * Initial package

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 02 Oct 2013 23:20:41 -0400
