=== debian/control ===
Source: gr-fosphor
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               doxygen,
               gnuradio-dev (>>3.7.8),
	       libboost-system-dev,
	       libboost-thread-dev,
               libcppunit-dev (>=1.9.14),
               libfreetype6-dev,
	       libftgl-dev,
               libgl1-mesa-dev,
               libglfw3-dev,
               liblog4cpp5-dev,
               libqt4-opengl-dev,
               libqwt5-qt4-dev,
               libqwtplot3d-qt4-dev,
               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
               pkg-config,
               pyqt4-dev-tools,
               python-qwt5-qt4,
               qt4-dev-tools,
               swig (>=1.3.31)
Standards-Version: 3.9.6
Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-fosphor.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-fosphor.git/

Package: gr-fosphor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-fosphor3.7.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio fosphor block (GPU spectrum display)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 To use the fosphor blocks in Python, import it as :
 .
 from gnuradio import fosphor
 .
 See the Doxygen documentation for details about the blocks available
 in this package. A quick listing of the details can be found in Python
 after importing by using:
 .
 help(fosphor)

Package: libgnuradio-fosphor3.7.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fosphor
Description: gnuradio fosphor block (GPU spectrum display) (library)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 This package provides a shared library.
