=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -38,15 +38,22 @@
 include_directories(
 	${OPENGL_INCLUDE_DIRS}
 	${OpenCL_INCLUDE_DIRS}
-	${FREETYPE2_INCLUDE_DIRS}
+	${FREETYPE_INCLUDE_DIRS}
 	${Boost_INCLUDE_DIR}
 )
 link_directories(
 	${OPENGL_LIBRARY_DIRS}
 	${OpenCL_LIBRARY_DIRS}
-	${FREETYPE2_LIBRARY_DIRS}
+	${FREETYPE_LIBRARY_DIRS}
 	${Boost_LIBRARY_DIRS}
 )
+
+if(WIN32)
+   find_package(GLEW REQUIRED)
+   include_directories(${GLEW_INCLUDE_DIRS})
+   list(APPEND fosphor_libraries ${GLEW_LIBRARIES})
+   add_definitions(-DENABLE_GLEW)
+endif(WIN32)
 
 if(ENABLE_PYTHON)
     add_definitions(-DENABLE_PYTHON)
@@ -85,7 +92,7 @@
 list(APPEND fosphor_libraries 
 	${OPENGL_LIBRARIES}
 	${OpenCL_LIBRARIES}
-	${FREETYPE2_LIBRARIES}
+	${FREETYPE_LIBRARIES}
 	${Boost_LIBRARIES}
 	${GNURADIO_ALL_LIBRARIES}
 	${CMAKE_DL_LIBS}
