=== debian/changelog ===
gr-fosphor (3.7.0.2.7b6b996-2) unstable; urgency=medium

  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 00:49:56 -0400

gr-fosphor (3.7.0.2.7b6b996-1) unstable; urgency=medium

  * New upstream git
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jul 2016 20:15:44 -0400
