=== debian/control ===
--- 
+++ 
@@ -5,25 +5,23 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
                doxygen,
-               gnuradio-dev (>>3.7.8),
-	       libboost-system-dev,
-	       libboost-thread-dev,
+               gnuradio-dev (>=3.7.11),
+               libboost-system-dev,
+               libboost-thread-dev,
                libcppunit-dev (>=1.9.14),
                libfreetype6-dev,
-	       libftgl-dev,
                libgl1-mesa-dev,
                libglfw3-dev,
                liblog4cpp5-dev,
                libqt4-opengl-dev,
                libqwt5-qt4-dev,
-               libqwtplot3d-qt4-dev,
                ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
                pkg-config,
                pyqt4-dev-tools,
                python-qwt5-qt4,
                qt4-dev-tools,
                swig (>=1.3.31)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-fosphor.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-fosphor.git/
@@ -32,7 +30,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-fosphor3.7.0  (=${binary:Version}),
+         libgnuradio-fosphor3.7.11  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: gnuradio fosphor block (GPU spectrum display)
@@ -50,7 +48,7 @@
  .
  help(fosphor)
 
-Package: libgnuradio-fosphor3.7.0
+Package: libgnuradio-fosphor3.7.11
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
